kafka-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ij...@apache.org
Subject [kafka] branch trunk updated: KAFKA-7766: Fail fast PR builds (#6059)
Date Sat, 02 Feb 2019 20:23:13 GMT
This is an automated email from the ASF dual-hosted git repository.

ijuma pushed a commit to branch trunk
in repository https://gitbox.apache.org/repos/asf/kafka.git


The following commit(s) were added to refs/heads/trunk by this push:
     new 64b2d4f  KAFKA-7766: Fail fast PR builds (#6059)
64b2d4f is described below

commit 64b2d4fc0467607055d07773d0a29ae4c34d8ba2
Author: David Arthur <mumrah@gmail.com>
AuthorDate: Sat Feb 2 15:22:57 2019 -0500

    KAFKA-7766: Fail fast PR builds (#6059)
    
    Split the Gradle invocation in the jenkins.sh script into two commands so
    we can fail fast for validation checks such as compile errors and checkstyle
    errors.
    
    Reviewers: Manikumar Reddy <manikumar.reddy@gmail.com>, Ismael Juma <ismael@juma.me.uk>
---
 jenkins.sh | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

diff --git a/jenkins.sh b/jenkins.sh
index dd85dde..5d549fe 100755
--- a/jenkins.sh
+++ b/jenkins.sh
@@ -17,4 +17,14 @@
 # This script is used for verifying changes in Jenkins. In order to provide faster feedback,
the tasks are ordered so
 # that faster tasks are executed in every module before slower tasks (if possible). For example,
the unit tests for all
 # the modules are executed before the integration tests.
-./gradlew clean compileJava compileScala compileTestJava compileTestScala spotlessScalaCheck
checkstyleMain checkstyleTest spotbugsMain unitTest rat integrationTest --no-daemon --continue
-PxmlSpotBugsReport=true -PtestLoggingEvents=started,passed,skipped,failed "$@"
+
+# Run validation checks (compilation and static analysis)
+./gradlew clean compileJava compileScala compileTestJava compileTestScala \
+    spotlessScalaCheck checkstyleMain checkstyleTest spotbugsMain rat \
+    --profile --no-daemon --continue -PxmlSpotBugsReport=true "$@" \
+    || { echo 'Validation steps failed'; exit 1; }
+
+# Run tests
+./gradlew unitTest integrationTest \
+    --profile --no-daemon --continue -PtestLoggingEvents=started,passed,skipped,failed "$@"
\
+    || { echo 'Test steps failed'; exit 1; }


Mime
View raw message